Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Server_Strategy_Factory Class Reference

Base class for the server's abstract factory that manufactures various strategies of special utility to it. This simply serves as an interface to a subclass that REALLY gets specified and loaded by the Service Configurator. More...

`#include <Server_Strategy_Factory.h>`

Inheritance diagram for TAO_Server_Strategy_Factory:

[legend]
Collaboration diagram for TAO_Server_Strategy_Factory:

[legend]
List of all members.

## Public Methods
| TAO_Server_Strategy_Factory (void)
| Constructor. More...
virtual | ~TAO_Server_Strategy_Factory (void)
| Destructor. More...
virtual int | open (TAO_ORB_Core *orb_core)
| Call <open> on various strategies. More...
virtual int | enable_poa_locking (void)
| Enable POA locking? More...
virtual int | activate_server_connections (void)
| Are server connections active (i.e. run in their own thread). More...
virtual int | thread_per_connection_timeout (ACE_Time_Value &timeout)
| Obtain the timeout value used by the thread-per-connection server threads to poll the shutdown flag in the ORB. More...
virtual int | server_connection_thread_flags (void)
| The thread activation parameters. More...
virtual int | server_connection_thread_count (void)
virtual const Active_Object_Map_Creation_Parameters & | active_object_map_creation_parameters (void) const
| Return the active object map creation parameters. More...
## Protected Attributes
Active_Object_Map_Creation_Parameters | active_object_map_creation_parameters_
| Active object map creation parameters. More...

## Detailed Description

Base class for the server's abstract factory that manufactures various strategies of special utility to it. This simply serves as an interface to a subclass that REALLY gets specified and loaded by the Service Configurator.

## Constructor & Destructor Documentation

TAO_Server_Strategy_Factory::TAO_Server_Strategy_Factory | ( | void |  | ) |

| Constructor.

TAO_Server_Strategy_Factory::~TAO_Server_Strategy_Factory | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

int TAO_Server_Strategy_Factory::activate_server_connections | ( | void |  | ) | `[virtual]`

| Are server connections active (i.e. run in their own thread). Reimplemented in TAO_Default_Server_Strategy_Factory.

const TAO_Server_Strategy_Factory::Active_Object_Map_Creation_Parameters & TAO_Server_Strategy_Factory::active_object_map_creation_parameters | ( | void |  | ) | const`[virtual]`

| Return the active object map creation parameters.

int TAO_Server_Strategy_Factory::enable_poa_locking | ( | void |  | ) | `[virtual]`

| Enable POA locking? Reimplemented in TAO_Default_Server_Strategy_Factory.

int TAO_Server_Strategy_Factory::open | ( | TAO_ORB_Core * | orb_core | ) | `[virtual]`

| Call <open> on various strategies. This is not performed in <init> so that the other portions of the ORB have a chance to "settle" in their initialization since the streategies herein might need some of that information. Reimplemented in TAO_Default_Server_Strategy_Factory.

int TAO_Server_Strategy_Factory::server_connection_thread_count | ( | void |  | ) | `[virtual]`

| Reimplemented in TAO_Default_Server_Strategy_Factory.

int TAO_Server_Strategy_Factory::server_connection_thread_flags | ( | void |  | ) | `[virtual]`

| The thread activation parameters. Reimplemented in TAO_Default_Server_Strategy_Factory.

int TAO_Server_Strategy_Factory::thread_per_connection_timeout | ( | ACE_Time_Value & | timeout | ) | `[virtual]`

| Obtain the timeout value used by the thread-per-connection server threads to poll the shutdown flag in the ORB. Return -1 if the ORB should use the compile-time defaults. If the return value is zero then the threads block without timeouts. Reimplemented in TAO_Default_Server_Strategy_Factory.

## Member Data Documentation

Active_Object_Map_Creation_Parameters TAO_Server_Strategy_Factory::active_object_map_creation_parameters_`[protected]`

| Active object map creation parameters.

The documentation for this class was generated from the following files:

- Server_Strategy_Factory.h
- Server_Strategy_Factory.cpp